import unittest

from utils import run_file

class TestFactorial(unittest.TestCase):
    def test_factorial(self):
        self.assertTrue(run_file(["factorial.alc", "primitives.alc"],
            [1, 2, 3, 4, 20],
            [1, 2, 6, 24, 2432902008176640000]))
